# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage true
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 friendlyFire true
team modify dh.s_squadra2 friendlyFire true

setworldspawn 597 60 -1053
spawnpoint @a[tag=dh.t_primoGiocatore,tag=!dh.t_nienteVite] 597 60 -1053
spawnpoint @a[tag=dh.t_secondoGiocatore,tag=!dh.t_nienteVite] 596 60 -1052
spawnpoint @a[tag=dh.t_primoGiocatore,tag=dh.t_nienteVite] 598 49 -1006
spawnpoint @a[tag=dh.t_secondoGiocatore,tag=dh.t_nienteVite] 598 49 -1006

execute if score @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoPrimo,tag=dh.t_aggiungiVita,type=armor_stand,limit=1] dh.o_anime matches 15 as @a[tag=dh.t_giocatori,nbt=!{Attributes:[{Name:"minecraft:generic.max_health",Base:30d}]}] run attribute @s generic.max_health base set 30
execute if score @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoSecondo,tag=dh.t_aggiungiVita,type=armor_stand,limit=1] dh.o_anime matches 15 as @a[tag=dh.t_giocatori,nbt=!{Attributes:[{Name:"minecraft:generic.max_health",Base:29d}]}] run attribute @s generic.max_health base set 29
execute if score @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoTerzo,tag=dh.t_aggiungiVita,type=armor_stand,limit=1] dh.o_anime matches 15 as @a[tag=dh.t_giocatori,nbt=!{Attributes:[{Name:"minecraft:generic.max_health",Base:28d}]}] run attribute @s generic.max_health base set 28
execute if score @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuarto,tag=dh.t_aggiungiVita,type=armor_stand,limit=1] dh.o_anime matches 15 as @a[tag=dh.t_giocatori,nbt=!{Attributes:[{Name:"minecraft:generic.max_health",Base:27d}]}] run attribute @s generic.max_health base set 27
execute if score @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,tag=dh.t_aggiungiVita,type=armor_stand,limit=1] dh.o_anime matches 15 as @a[tag=dh.t_giocatori,nbt=!{Attributes:[{Name:"minecraft:generic.max_health",Base:26d}]}] run attribute @s generic.max_health base set 26



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,tag=!dh.t_nienteVite,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione,type=armor_stand] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,tag=!dh.t_nienteVite,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione,type=armor_stand] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,tag=!dh.t_nienteVite,gamemode=!adventure] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione,type=armor_stand] run gamemode adventure @s

execute as @a[tag=dh.t_giocatori,gamemode=!spectator] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione,tag=!dh.t_fineAnimazione,type=armor_stand] run gamemode spectator @s
execute as @a[tag=dh.t_giocatori,tag=dh.t_nienteVite,gamemode=!spectator] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_fineResetArena,type=armor_stand] run gamemode spectator @s

execute as @a[tag=dh.t_giocatori,tag=dh.t_nienteVite] if entity @e[tag=dh.t_dueGiocatori,tag=!dh.t_spettatoreAnimazione,tag=!dh.t_fineResetArena,type=armor_stand] unless score #MorteGiocatori dh.o_contoEntita matches 2 unless entity @s[x=590,y=66,z=-1042,dx=13,dy=2,dz=25] run tp @s 597 66 -1029
execute if entity @e[tag=dh.t_unGiocatore,tag=!dh.t_spettatoreAnimazione,tag=!dh.t_fineResetArena,type=armor_stand] if score #MorteGiocatori dh.o_contoEntita matches 1 run tp @a[tag=dh.t_giocatori] 598 49 -1006
execute if entity @e[tag=dh.t_dueGiocatori,tag=!dh.t_spettatoreAnimazione,tag=!dh.t_fineResetArena,type=armor_stand] if score #MorteGiocatori dh.o_contoEntita matches 2 run tp @a[tag=dh.t_giocatori] 598 49 -1006

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione,type=armor_stand] unless entity @s[x=592,y=70,z=-1038,dx=15,dy=3,dz=25] run tp @s 599 70 -1025



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c3_livello_finale/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c3_livello_finale/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c3_livello_finale/dh.f.d_effetti



# CB Titolo
execute if block 592 48 -1022 minecraft:red_wool run data merge block 593 48 -1019 {auto:1b}



# CB Discorsi Prima Ondata
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoPrimo,tag=dh.t_partiDiscorso1,type=armor_stand] unless entity @a[tag=dh.t_giocatori,x=597,y=60,z=-1058,distance=..15] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_unGiocatore,tag=dh.t_attoPrimo,type=armor_stand] if block 594 48 -1022 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 2 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_dueGiocatori,tag=dh.t_attoPrimo,type=armor_stand] if block 594 48 -1022 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 4 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoPrimo,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @e[tag=!dh.t_frecciaSpirito,type=arrow,x=592,y=72,z=-1057,distance=..3.5] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 594 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 594 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 594 48 -1019 {auto:1b}

# CB Discorsi Seconda Ondata
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoSecondo,type=armor_stand] if entity @e[tag=dh.t_avvioDiscorsoFinale4,type=area_effect_cloud,nbt={Age:60}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso4
execute if entity @e[tag=dh.t_unGiocatore,tag=dh.t_attoSecondo,type=armor_stand] if block 597 48 -1022 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 2 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso5
execute if entity @e[tag=dh.t_dueGiocatori,tag=dh.t_attoSecondo,type=armor_stand] if block 597 48 -1022 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 4 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso5
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoSecondo,tag=dh.t_fineDiscorso4,type=armor_stand] if entity @e[tag=!dh.t_frecciaAria,type=arrow,x=608.5,y=69,z=-1055.5,dx=6.5,dy=5.5,dz=1.5] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso6

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso4,type=armor_stand] run data merge block 595 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso5,type=armor_stand] run data merge block 595 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso6,type=armor_stand] run data merge block 595 48 -1019 {auto:1b}

# CB Discorsi Terza Ondata
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoTerzo,type=armor_stand] if entity @e[tag=dh.t_avvioDiscorsoFinale7,type=area_effect_cloud,nbt={Age:60}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso7
execute if entity @e[tag=dh.t_unGiocatore,tag=dh.t_attoTerzo,type=armor_stand] if block 600 48 -1022 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 3 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso8
execute if entity @e[tag=dh.t_dueGiocatori,tag=dh.t_attoTerzo,type=armor_stand] if block 600 48 -1022 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 6 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso8
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoTerzo,tag=dh.t_fineDiscorso7,type=armor_stand] if entity @e[tag=!dh.t_frecciaAcqua,type=arrow,x=591,y=75,z=-1062,dx=16,dy=8,dz=19] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso9

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso7,type=armor_stand] run data merge block 596 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso8,type=armor_stand] run data merge block 596 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso9,type=armor_stand] run data merge block 596 48 -1019 {auto:1b}

# CB Discorsi Quarta Ondata
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuarto,type=armor_stand] if entity @e[tag=dh.t_avvioDiscorsoFinale10,type=area_effect_cloud,nbt={Age:60}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso10
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuarto,tag=dh.t_conteggioEntita,type=armor_stand] if block 592 48 -1025 minecraft:red_wool if score #MorteCapitano dh.o_contoEntita matches 0 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso11
execute if entity @e[tag=dh.t_unGiocatore,tag=dh.t_attoQuarto,type=armor_stand] if block 593 48 -1025 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 2 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso12
execute if entity @e[tag=dh.t_dueGiocatori,tag=dh.t_attoQuarto,type=armor_stand] if block 593 48 -1025 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_killArena matches 4 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso12

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso10,type=armor_stand] run data merge block 597 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso11,type=armor_stand] run data merge block 597 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso12,type=armor_stand] run data merge block 597 48 -1019 {auto:1b}

# CB Discorsi Quinta Ondata
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] if entity @e[tag=dh.t_avvioDiscorsoFinale13,type=area_effect_cloud,nbt={Age:60}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso13
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] if entity @e[tag=dh.t_minecraftitanos,type=wither,nbt={Health:1f}] if block 595 48 -1025 minecraft:red_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso14
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] if entity @e[tag=dh.t_avvioDiscorsoFinale15,type=area_effect_cloud,nbt={Age:60}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso15

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso13,type=armor_stand] run data merge block 598 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso14,tag=dh.t_fineDiscorso13,type=armor_stand] run data merge block 598 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso15,type=armor_stand] run data merge block 598 48 -1019 {auto:1b}



# CB Ondate
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_conteggioEntita,type=armor_stand] if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_contoEntita matches 0 run summon minecraft:area_effect_cloud 592 49 -1023 {Particle:"minecraft:ambient_entity_effect",Duration:181,Tags:["dh.t_altroGiro"]}

execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] run kill @e[tag=dh.t_cavalloArena]
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_unGiocatore,type=armor_stand] run scoreboard players add @e[tag=dh.t_giocatoreFinto,type=armor_stand] dh.o_killArena 1
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_dueGiocatori,type=armor_stand] run scoreboard players add @e[tag=dh.t_giocatoreFinto,type=armor_stand] dh.o_killArena 2
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] run tag @e[tag=dh.t_conteggioEntita,type=armor_stand] remove dh.t_conteggioEntita
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_continuaOndate

# Primo Atto
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoPrimo,type=armor_stand] unless block 579 73 -1028 #minecraft:buttons run setblock 579 73 -1028 minecraft:crimson_button[face=wall,facing=west]
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoPrimo,type=armor_stand] run setblock 597 48 -1025 minecraft:orange_wool
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoPrimo,type=armor_stand] run data merge block 599 48 -1019 {auto:1b}

# Secondo Atto
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoSecondo,type=armor_stand] unless block 621 71 -1020 #minecraft:buttons run setblock 621 71 -1020 minecraft:stone_button[face=wall,facing=west]
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoSecondo,type=armor_stand] run setblock 598 48 -1025 minecraft:orange_wool
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoSecondo,type=armor_stand] run data merge block 599 48 -1019 {auto:1b}

# Terzo Atto
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoTerzo,type=armor_stand] unless block 589 56 -1036 #minecraft:buttons run setblock 589 56 -1036 minecraft:warped_button[face=floor,facing=north]
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoTerzo,type=armor_stand] run setblock 599 48 -1025 minecraft:orange_wool
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoTerzo,type=armor_stand] run data merge block 599 48 -1019 {auto:1b}

# Quarto Atto
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuarto,type=armor_stand] unless block 585 67 -999 #minecraft:buttons run setblock 585 67 -999 minecraft:dark_oak_button[face=floor,facing=north]
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuarto,type=armor_stand] run setblock 600 48 -1025 minecraft:orange_wool
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:80}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuarto,type=armor_stand] run data merge block 599 48 -1019 {auto:1b}

# Quinto Atto
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,tag=dh.t_recuperaVitaBoss,type=armor_stand] run tellraw @a {"translate":"\n%s %s: come hanno fatto a recuperare vita?","with":[{"text":"[1/1]","italic":true,"color":"gray"},{"selector":"@a[tag=dh.t_primoGiocatore]","color":"red"}]}
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,tag=dh.t_recuperaVitaBoss,type=armor_stand] at @a[tag=dh.t_primoGiocatore] run playsound entity.villager.ambient ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 1.1
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,tag=dh.t_recuperaVitaBoss,type=armor_stand] at @a[tag=dh.t_spettatore] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_spettatore] ~ ~ ~ 10 2
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,tag=dh.t_recuperaVitaBoss,type=armor_stand] run tag @e[tag=dh.t_recuperaVitaBoss,type=armor_stand] remove dh.t_recuperaVitaBoss

execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] run tag @e[tag=dh.t_particelleBarriera,type=armor_stand] remove dh.t_particelleBarriera
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] run tag @e[tag=dh.t_noConteggioDanni,type=armor_stand] remove dh.t_noConteggioDanni
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] run tag @e[tag=dh.t_invulnerabile,type=wither] remove dh.t_invulnerabile
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] run tp @e[tag=dh.t_barriera,type=armor_stand] 602 49 -1016
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] run data merge entity @e[tag=dh.t_reMicros,type=armor_stand,limit=1] {Invulnerable:0b}
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] run data merge entity @e[tag=dh.t_minecraftitanos,type=wither,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_altroGiro,type=area_effect_cloud,nbt={Age:0}] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] unless block 601 48 -1025 minecraft:light_gray_wool run setblock 601 48 -1025 minecraft:red_wool

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] if block 601 48 -1025 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,tag=!dh.t_ordaPrima,type=armor_stand,limit=1] dh.o_vitaBoss matches 501..550 run data merge block 599 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] if block 601 48 -1025 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,tag=!dh.t_ordaSeconda,type=armor_stand,limit=1] dh.o_vitaBoss matches 1001..1050 run data merge block 599 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] if block 601 48 -1025 minecraft:red_wool if score @e[tag=dh.t_giocatoreFinto,tag=!dh.t_ordaTerza,type=armor_stand,limit=1] dh.o_vitaBoss matches 1501..1550 run data merge block 599 48 -1019 {auto:1b}



# CB Animazioni
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoPrimo,type=armor_stand] if block 579 73 -1028 #minecraft:buttons[powered=true] run data merge block 600 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoSecondo,type=armor_stand] if block 621 71 -1020 #minecraft:buttons[powered=true] run data merge block 600 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoTerzo,type=armor_stand] if block 589 56 -1036 #minecraft:buttons[powered=true] run data merge block 600 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuarto,type=armor_stand] if block 585 67 -999 #minecraft:buttons[powered=true] run data merge block 600 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_attoQuinto,type=armor_stand] if block 612 58 -1030 #minecraft:buttons[powered=true] run data merge block 600 48 -1019 {auto:1b}



# CB Morti
execute if entity @e[tag=dh.t_unGiocatore,type=armor_stand] if block 602 48 -1025 minecraft:red_wool if score #MorteGiocatori dh.o_contoEntita matches 1 run data merge block 601 48 -1019 {auto:1b}
execute if entity @e[tag=dh.t_dueGiocatori,type=armor_stand] if block 602 48 -1025 minecraft:red_wool if score #MorteGiocatori dh.o_contoEntita matches 2 run data merge block 601 48 -1019 {auto:1b}

execute as @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n La morte di %s è stata inscenata molto bene.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run xp add @s -1 levels
execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvlFinale.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvlFinale.2G dh.o_morti 1

execute as @a[tag=dh.t_giocatori,level=0] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_conteggioMorti,type=armor_stand] run tag @s add dh.t_nienteVite



# CB Tp Finale
execute if block 600 59 -1039 #minecraft:buttons[powered=true] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_noTpGiocatori,type=armor_stand] run data merge block 602 48 -1019 {auto:1b}
execute if block 599 63 -1062 #minecraft:buttons[powered=true] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_noTpGiocatori,type=armor_stand] run data merge block 602 48 -1019 {auto:1b}