# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage true
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 817 5 88
spawnpoint @a[tag=dh.t_primoGiocatore] 818 5 88
spawnpoint @a[tag=dh.t_secondoGiocatore] 817 5 89



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=846,y=18,z=95,dx=6,dy=3,dz=6] run tp @s 849.0 18 98.0

# Morte Giocatori
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if entity @e[tag=dh.t_medusa12,type=minecraft:area_effect_cloud,distance=..1] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha provato ad accarezzare una medusa, ma è rimasto paralizzato dal suo tocco.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if entity @e[tag=dh.t_medusa12,type=minecraft:area_effect_cloud,distance=..1] run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl12.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl12.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_n_livello_12/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_n_livello_12/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_n_livello_12/dh.f.d_effetti



# CB Titolo
execute if block 891 12 82 minecraft:red_wool run data merge block 892 12 79 {auto:1b}

# CB Indizio e Easter Egg
execute if block 818 21 71 #minecraft:buttons[powered=true] run data merge block 893 12 79 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 893 12 79 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/n_extra12=false},nbt={Inventory:[{id:"minecraft:flower_pot"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/n_extra12=false},nbt={Inventory:[{id:"minecraft:flower_pot"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/n_extra12



# CB Discorsi
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_partiDiscorso,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=830,y=20,z=69,distance=..9] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=849,y=7,z=115,distance=..3] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=849,y=4,z=134,distance=..10,scores={dh.o_oggettiTOT=10},nbt={Inventory:[{id:"minecraft:nautilus_shell",tag:{display:{Name:'{"text":"Lumaca di Mare","color":"gray","italic":false}'}}}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 894 12 79 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 894 12 79 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 894 12 79 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 846 2 85 #minecraft:buttons[powered=true] run data merge block 895 12 79 {auto:1b}
execute unless score #Reliquia12 dh.o_reliquie matches 1 if block 830 19 131 #minecraft:buttons[powered=true] run data merge block 895 12 79 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia12,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 897 12 79 {auto:1b}

# CB Anima Acqua
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 898 12 79 {auto:1b}



# CB Reset Oggetti
execute if block 817 10 90 #minecraft:buttons[powered=true] run data merge block 899 12 79 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti12 dh.o_tempoScorre matches 6000 run setblock 817 10 90 minecraft:oak_button[face=wall,facing=east]
execute if score #ResetOggetti12 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti12 dh.o_tempoScorre matches 6000 run data merge block 902 12 79 {auto:0b}

# Cartello Reset Oggetti
execute if block 817 10 90 minecraft:oak_wall_sign run data merge block 817 10 90 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 870 10 138 #minecraft:buttons[powered=true] run data merge block 900 12 79 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 846 2 85 #minecraft:buttons[powered=true] run data merge block 900 12 79 {auto:1b}

execute if block 830 19 131 #minecraft:buttons[powered=true] if score #Reliquia12 dh.o_reliquie matches 1 run data merge block 900 12 79 {auto:1b}



# CB Ritorno al Livello
execute if block 899 12 82 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 901 12 79 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 899 12 82 minecraft:yellow_wool unless score #Reliquia12 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia12,type=magma_cube] run summon minecraft:magma_cube 908 24 129 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia12"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 899 12 82 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia12,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=906,y=24,z=129,distance=..3] run effect clear @e[tag=dh.t_cassaReliquia12,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 899 12 82 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia12,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=906,y=24,z=129,distance=..3] at @e[tag=dh.t_cassaReliquia12,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia12,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 899 12 82 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia12,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=906,y=24,z=129,distance=..3] run data merge entity @e[tag=dh.t_cassaReliquia12,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 899 12 82 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia12,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=906,y=24,z=129,distance=..3] run setblock 899 12 82 minecraft:lime_wool