# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 516 57 -931
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_finaleCorretto,type=armor_stand] run spawnpoint @a[tag=dh.t_primoGiocatore] 511 57 -956
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_finaleCorretto,type=armor_stand] run spawnpoint @a[tag=dh.t_secondoGiocatore] 513 57 -956
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_finaleAlternativo,type=armor_stand] run spawnpoint @a[tag=dh.t_primoGiocatore] 543 67 -934
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_finaleAlternativo,type=armor_stand] run spawnpoint @a[tag=dh.t_secondoGiocatore] 543 67 -936



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione1,type=armor_stand] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione1,type=armor_stand] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione1,type=armor_stand] run gamemode adventure @s

execute as @a[tag=dh.t_giocatori,gamemode=!spectator] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_spettatoreAnimazione1,tag=!dh.t_fineAnimazione,type=armor_stand] run gamemode spectator @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_spettatoreAnimazione1,tag=!dh.t_spettatoreAnimazione2,type=armor_stand] unless entity @s[x=513,y=60,z=-934,dx=5,dy=3,dz=5] run tp @s 516.0 61 -931.0



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c3_post_finale/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c3_post_finale/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c3_post_finale/dh.f.d_effetti



# CB Titolo
execute if block 512 48 -947 minecraft:red_wool run data merge block 513 48 -944 {auto:1b}

# Obiettivo Extra
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_finaleAlternativo,type=armor_stand] if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/r_extra16=false}] if entity @e[tag=dh.t_avvioDiscorsoPost3,type=area_effect_cloud,nbt={Age:0}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_finaleAlternativo,type=armor_stand] if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/r_extra16=false}] if entity @e[tag=dh.t_avvioDiscorsoPost3,type=area_effect_cloud,nbt={Age:0}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/r_extra16



# CB Discorsi
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_partiDiscorso,tag=dh.t_finaleCorretto,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=509,y=57,z=-945,dx=3,dy=2,dz=1] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_partiDiscorso,tag=dh.t_finaleAlternativo,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=534,y=67,z=-937,distance=..1.8] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if block 517 48 -947 minecraft:orange_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 514 48 -944 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 514 48 -944 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 514 48 -944 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fine,type=armor_stand] run tp @a[tag=dh.t_primoGiocatore] 514 22 -931 0 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fine,type=armor_stand] run tp @a[tag=dh.t_secondoGiocatore] 524 22 -931 0 ~



# CB Teletrasporto Hub Finale
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fine,type=armor_stand] if block 516 48 -947 minecraft:red_wool run data merge block 516 48 -944 {auto:1b}